/* 
 * Top level config file... you'll probably not need to modify any of this.
 *
 * In the future, a lot more definable features will be here (and this
 * will all make sense...)
 */

/*
 * allow "upload" keyword in ftpaccess
 */

#define UPLOAD

/*
 * allow "overwrite" keyword in ftpaccess.
 */

#define OVERWRITE

/*
 * allow "allow/deny" for individual users.
 */

#define HOST_ACCESS

/*
 * log failed login attempts
 */

#define LOG_FAILED

/*
 * allow use of private file.  (for site group and site gpass)
 */

#undef NO_PRIVATE

/*
 * Try once more on failed DNS lookups (to allow far away connections 
 * which might resolve slowly)
 */

#define	DNS_TRYAGAIN

/*
 * Keep track of the path the user has chdir'd into and respond with
 * that to pwd commands.  This is to avoid having the absolue disk
 * path returned.  This helps avoid returning dirs like '.1/fred'
 * when lots of disks make up the ftp area.
 */

#define MAPPING_CHDIR

/*
 * Some ftptool type packages are all graphical and don't allow you
 * to type commands so you cannot type 'get file' where file
 * is really a .Z/.z/.gz file to auto-uncompress.
 * A leading + in the passwd causes ls output to have
 * any trailing .Z/.z/.gz's stripped to allow these tools to work.
 * (All that happens is that the environment variable NODOTZ is set
 *  and an ls shell script runs the real ls output thru sed.)
 */

#define PLUS_PW

/*
 * If SETPROCTITLE doesn't work or if you have so many users that ps
 * takes a long time then FILEWHAT keeps the info in a file so that
 * ftpcount can just print it.
 */

#define FILEWHAT

/*
 * This is a patch from Sun to help a bit with the FIN_WAIT2 problem on
 * Solaris 2.x.  It is not a true fix it just helps a bit.
 */

#define SUN_FIN_WAIT2_HACK

/*
 * Using the standard MIT KERBEROS 4 code.  (If you use *krb* as
 * in the passwd file then you are probably using Kerberos4.)
 */

#define KERBEROS4
#define FTPD
